PDA

View Full Version : incompatible source file



btran007
11-19-2014, 07:55 AM
Hello All,

I am a newbie with no knowledge of pv wave. I want to test out a .pro file but it does not work in latest version 10.1. However, it works fine in version 8.5. Can someone help me? Do I need to update the source file?

WAVE> f2s,file='xg2012p0.b'
% Compiled module: F2S.
% READU: Corrupted f77 unformatted file detected. Unit: 1
File: xg2012p0.b
% Execution halted at F2S <f2s.pro( 14)> (READU).
% Called from $MAIN$ .



pro f2s,file=fname,rv=irv
; read a FORTRAN binary file and convert to a sequential read binary

if keyword_set(irv) then openr,1,fname else openr,1,fname,/f77
if keyword_set(irv) then ofile=fname+'2' else ofile=fname+'in'
if keyword_set(irv) then openw,2,ofile,/f77 else openw,2,ofile
slat=0.0d
wlon=0.0d
dlat=0.0d
dlon=0.0d
nlat=0l
nlon=0l
ik=0l
readu,1,slat,wlon,dlat,dlon,nlat,nlon,ik
writeu,2,slat,wlon,dlat,dlon,nlat,nlon,ik
dat=fltarr(nlon)

for i=0,nlat-1 do begin
readu,1,dat
writeu,2,dat
endfor
close,1
close,2

end


Thanks
btran

donb
11-24-2014, 07:56 AM
Hello btran,

The routine you're using, f2s, appears to be very straight forward; and I don't see anything here that is version-specific. In other words, we have not changed anything (knowingly) in PV-WAVE between v8.5 and v10.1 that could be causing the error you're seeing.

Because of that, and because there are many questions to be asked to help isolate what might be happening here, my suggestion is that you contact PV-WAVE support (support@roguewave.com). As long as you have a current support agreement, we'd be happy to ask those questions and figure out why you're seeing this error message.

Best Regards,

Don B.

mrbean
11-26-2014, 06:58 PM
maybe there is a mismatch in endianness or bitness,
between your new pv-wave platform and the old one,
e.g. little vs. big endian or 64-bit vs 32-bit